 
#include "FreeRTOS.h"
#include "cmsis_os.h"
#include "elog.h"
#include "usart.h"

#if 1
extern void Test_Port();
extern void Test_Task();
extern uint8_t rcv_buf[14];
extern uint8_t send_buf[8];
extern uint8_t  usbRxBff[1000];
extern int usbRxLen  ;
osThreadId_t testHandle;
const osThreadAttr_t test_attributes = {
.name = "test",
.stack_size = 256*4,
.priority = (osPriority_t) osPriorityBelowNormal,
};

uint32_t test_flag =0;
void Test_Port()
{


  testHandle = osThreadNew(Test_Task, NULL, &test_attributes);
}


void Test_Task()
{

  for (;;)
  {
        //  CDC_Transmit_HS(send_buf, 8);
        osDelay(3000);
        // log_i("len : %d   %d ", usbRxLen, usbRxBff[0]);
        // HAL_UART_Receive_DMA(&huart3, rcv_buf, 14 );
        // __HAL_UART_ENABLE_IT(&huart3, UART_IT_IDLE);
        // max3160_485_send_mode();
        // HAL_UART_Transmit_IT(&huart3, send_buf, 8 );
  }
}
#endif